> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monei.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# List all electricity distribution companies (DISCOs)



## OpenAPI

````yaml /openapi.json get /api/v1/bills/discovery/electricity-operators
openapi: 3.0.0
info:
  title: Mr Monei API Gateway
  description: External API for partners using API Key authentication
  version: '1.0'
  contact: {}
servers:
  - url: https://api.dev.monei.cc
    description: Dev Server
  - url: https://api.monei.cc
    description: Live Server
security: []
tags: []
paths:
  /api/v1/bills/discovery/electricity-operators:
    get:
      tags:
        - Bill | Discovery
      summary: List all electricity distribution companies (DISCOs)
      operationId: BillDiscoveryController_getElectricityBillers
      parameters: []
      responses:
        '200':
          description: List of electricity billers with codes
          content:
            application/json:
              schema:
                example:
                  StatusCode: 200
                  data:
                    - name: IKEJA DISCO ELECTRICITY
                      code: IKEDC
                      billerCode: BIL113
                    - name: EKO DISCO ELECTRICITY
                      code: EKEDC
                      billerCode: BIL111
                    - name: KADUNA DISCO ELECTRICITY
                      code: KAEDCO
                      billerCode: BIL112
                    - name: YOLA DISCO ELECTRICITY
                      code: YEDC
                      billerCode: BIL113
                    - name: PORT HARCOURT DISCO ELECTRICITY
                      code: PHEDC
                      billerCode: BIL114
                    - name: KANO DISCO ELECTRICITY
                      code: KEDC
                      billerCode: BIL115
                    - name: IBADAN DISCO ELECTRICITY
                      code: IBEDC
                      billerCode: BIL116
                    - name: ENUGU DISCO ELECTRICITY
                      code: EEDC
                      billerCode: BIL117
                    - name: BENIN DISCO ELECTRICITY
                      code: BEDC
                      billerCode: BIL118
                  message: Electricity billers retrieved successfully
      security:
        - bearer: []
        - api-key: []
components:
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: X-API-KEY

````